Subject: Re: bug#42406: Mouse-wheel scrolling can be flickering

From: Konrad Podczeck <[email-masked]>
Date: Sat, 10 Oct 2020 16:07:22 +0200

> Am 10.10.2020 um 11:51 schrieb Alan Third <[email-masked]>:
> 
> On Thu, Jul 30, 2020 at 12:30:27PM +0200, Konrad Podczeck wrote:
>> Having taken a closer look, it seems to me now that what I called "flickering" is the following:
>> 
>> Mouse-wheel scroll downwards, so that the cursor becomes positioned
>> at the top row of the frame. Then release the mouse-wheel, but so
>> that inertia scrolling continues for a short time. After the
>> scrolling comes to rest, which is probably determined by the window
>> manager, there is an extra movement, governed probably by Emacs, to
>> make sure that it is not the case that only, say, half of a row is
>> visible at the top of the frame. It seems to me that it is this
>> extra movement which leads to what I called "flickering."
> 
> Sorry for the long delay. In standard Emacs usage you shouldn't ever
> see half a line displayed at the top of the screen. Are you using
> pixel scroll mode or something?

No

> 
> The only alternative I can think of is that the inertia just pushes it
> over the edge to scroll one more line, but I don't think you would see
> that as "flickering", just an extra scroll.

Yes, maybe “flickering” is saying to much, but I see a “light tremor”, at least with the customizations:

(setq mouse-wheel-progressive-speed nil)
(setq mouse-wheel-scroll-amount '(1 ((shift) . 1)))

Konrad

> 
> To disable inertia in Emacs do:
> 
>    (setq ns-use-mwheel-momentum nil)
> 
> -- 
> Alan Third